Subject: Re: bug#17567: 24.4.50; doc string of `define-derived-mode'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Sep 2021 21:46:00 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 25 Sep 2021 11:01:45 -0700
> Cc: [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, but IMO talking about "unquoted symbols" makes this text
> > confusing.  Why did you need to say that?  My suggestion is to remove
> > those sentences, they aren't needed.
> 
> Oh, I thought it made it more clear.  As a user of this function, I
> basically just want to know if I need to put:
> 
>     :syntax-table foo-syntax-table
> 
> or
>     :syntax-table 'foo-syntax-table

The first is a variable, the second is a symbol.  "Unquoted symbol" is
something that causes at least me to raise a brow.

> I'm fine with saying nothing, for the simple fact that these features
> aren't used that much, and it's easy to just try both variants to see
> which work.  But I think it would be better to say something if we can
> come up with something clear.

The thing is, we use this all over the place, so we'd need to say that
everywhere.